"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
require("mocha");
var floodgateClient = require("../src/index");
var test_config_1 = require("./test-config");
describe('Test Default Values', function () {
    var config = {
        localConfigData: test_config_1.default,
        consoleLog: false,
        refreshInterval: 3600
    };
    it('should return grey', function (done) {
        var client = floodgateClient.createAutoUpdateClient("invalid", config);
        client.on('ready', function () {
            var key = 'invalid-key';
            var colour = client.GetValue(key, 'grey');
            chai_1.expect(colour).to.equal('grey');
            done();
        });
    });
    it('should return red', function (done) {
        var client = floodgateClient.createAutoUpdateClient("invalid", config);
        client.on('ready', function () {
            var key = 'colours';
            var colour = client.GetValue(key, 'grey');
            chai_1.expect(colour).to.equal('red');
            done();
        });
    });
});
//# sourceMappingURL=DefaultValueTests.js.map