"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
require("mocha");
var floodgateClient = require("../src/index");
var test_config_1 = require("./test-config");
describe('Test Rollouts', function () {
    var config = {
        localConfigData: test_config_1.default,
        consoleLog: false,
        refreshInterval: 3600
    };
    it('should return red', function (done) {
        var def = "grey";
        var exp = "red";
        var client = floodgateClient.createAutoUpdateClient("invalid", config);
        var user = floodgateClient.createUser("a9ac317e-6510-4903-9a42-e43d775b816d");
        client.on('ready', function () {
            var key = 'rollout-colours';
            var colour = client.GetValue(key, def, user);
            chai_1.expect(colour).to.equal(exp);
            done();
        });
    });
    it('should return green', function (done) {
        var def = "grey";
        var exp = "green";
        var client = floodgateClient.createAutoUpdateClient("invalid", config);
        var user = floodgateClient.createUser("a8ca3305-d4fc-4865-ae75-72edb8949244");
        client.on('ready', function () {
            var key = 'rollout-colours';
            var colour = client.GetValue(key, def, user);
            chai_1.expect(colour).to.equal(exp);
            done();
        });
    });
    it('should return yellow', function (done) {
        var def = "grey";
        var exp = "yellow";
        var client = floodgateClient.createAutoUpdateClient("invalid", config);
        var user = floodgateClient.createUser("ec144edb-7102-4091-ae1a-0d7b5f74707a");
        client.on('ready', function () {
            var key = 'rollout-colours';
            var colour = client.GetValue(key, def, user);
            chai_1.expect(colour).to.equal(exp);
            done();
        });
    });
    it('should return orange', function (done) {
        var def = "grey";
        var exp = "orange";
        var client = floodgateClient.createAutoUpdateClient("invalid", config);
        var user = floodgateClient.createUser("1fa1cc72-6463-47d8-87df-a05a4e832dba");
        client.on('ready', function () {
            var key = 'rollout-colours';
            var colour = client.GetValue(key, def, user);
            chai_1.expect(colour).to.equal(exp);
            done();
        });
    });
    it('should return blue', function (done) {
        var def = "grey";
        var exp = "blue";
        var client = floodgateClient.createAutoUpdateClient("invalid", config);
        var user = floodgateClient.createUser("7af3cd58-dc5b-4d53-982b-4892fd9b7df2");
        client.on('ready', function () {
            var key = 'rollout-colours';
            var colour = client.GetValue(key, def, user);
            chai_1.expect(colour).to.equal(exp);
            done();
        });
    });
});
//# sourceMappingURL=EvaluateRolloutTests.js.map