"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
require("mocha");
var User_1 = require("../src/User");
describe('Test User Object', function () {
    it('should fail to create instance with no arguments', function () {
        // @ts-ignore <ts(2554)>
        chai_1.expect(function () { return new User_1.User(); }).to.throw(Error);
    });
    it('should fail to create instance with null argument', function () {
        // @ts-ignore <ts(2345)>
        chai_1.expect(function () { return new User_1.User(null); }).to.throw(Error);
    });
    it('should fail to create instance with empty string', function () {
        chai_1.expect(function () { return new User_1.User(""); }).to.throw(Error);
    });
    it('should fail to create instance with non string arguments', function () {
        // @ts-ignore <ts(2345)>
        chai_1.expect(function () { return new User_1.User(123456); }).to.throw(Error);
    });
    it('should return instance', function () {
        var result = new User_1.User("unique-user-id");
        // expect(result).to.equal(true);
        chai_1.assert.isDefined(result);
    });
});
//# sourceMappingURL=UserTests.js.map